<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">Entry</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="theme/hyf_lavender/css/demo.css" rel="stylesheet" type="text/css" />
		<link href="theme/hyf_lavender/css/collapsiblecontent.css" rel="stylesheet" type="text/css" />
		<link href="theme/hyf_lavender/css/editabletable.css" rel="stylesheet" type="text/css" />
		<link href="theme/hyf_lavender/css/pagingtable.css" rel="stylesheet" type="text/css" />
		<link href="theme/hyf_lavender/css/treeview.css" rel="stylesheet" type="text/css" />
		<link href="css/menus.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/menus.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<div class="form">
			<form action="process.do" method="post" name="Entry">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" xmlns="" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.Entry</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div style="height: 10px; width: 20px;"></div>
				<div class="vertical" id="layout_group">
					<div class="formElement">
						<span class="defaultBackground" id="launch_form_button_container">
							<input id="launch_form_button_submit_button" name="xgate_action_startForm" type="submit" value="Start Form " xmlns="" />
							<span id="launch_form_button_temp_container" style="display:none; visibility:hidden;" xmlns="">
								<a class="button" href="javascript: launch_form_buttonhref(null);" id="launch_form_button" name="launch_form_button">
									<span>
										<span>Start Form </span>
									</span>
								</a>
							</span>
							<script type="text/javascript" xmlns="">
								<out:text disable-output-escaping="yes">document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">launch_form_button_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
								<out:text disable-output-escaping="yes">launch_form_button_temp_container').innerHTML;</out:text>
							</script>
						</span>
					</div>
				</div>
				<div class="paragraph" id="launch_form_notes">
					<p> </p>
					<p>Use the '<strong>Start Form</strong>' button above to start your form.</p>
					<p>This page acts as a test harness for your form. Once published, you will go directly to the form and won't see this page.</p>
					<p>If you need to pass any parameters to your form, you can add addiitonal fields to this page to allow easy testing.</p>
					<p>The parameters you enter will appear as URL parameters during testing.</p>
					<p> </p>
				</div>
				<div class="borderedGroup vertical" id="group_bordered">
					<div class="groupLabelInside groupLabelBackground" id="group_bordered_label_container">
						<h2 class="label" id="group_bordered_label">URL Parameters</h2>
					</div>
					<div class="paragraph" id="paragraph">
						<p>Drag and drop some edit fields into this group for any URL parameters you need to pass to your form during testing</p>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="param1_label_container">
							<label class="label" for="param1" id="param1_label">param1</label>
						</span>
						<span class="defaultBackground" id="param1_container">
							<input class="textbox" id="param1" name="param1" type="text" value="value1" />
							<input name="param1_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:param1" xmlns="" />
							<span id="param1_message_container"></span>
						</span>
					</div>
					<div class="formElement">
						<span class="labelBackground" id="param2_label_container">
							<label class="label" for="param2" id="param2_label">param2</label>
						</span>
						<span class="defaultBackground" id="param2_container">
							<input class="textbox" id="param2" name="param2" type="text" value="value2" />
							<input name="param2_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:param2" xmlns="" />
							<span id="param2_message_container"></span>
						</span>
					</div>
				</div>
				<div class="paragraph" id="url_form_notes">
					<p> </p>
					<p>To call the form directly you will enter a URL similar to  http://localhost:7080/&lt;project  name&gt;/startForm.do?param1=value1&amp;param2=value2...</p>
					<p>Where params are represented by the field names on this page and the values are your field values.</p>
					<p>This information will appear in the Control section of your data within the PrepareForm Controller.</p>
					<p> </p>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.Entry,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all',
                mandatoryMarker: {
                    content: ' * ',
                    location: 'after_label',
                    className: 'mandatory',
                    style: ''
                    }
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:text>
            field = document.getElementById('</out:text>
			<out:text>param1</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>param2</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                    hyf.hooks.contentInserted(document.body);
            function launch_form_buttonhref(e)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'launch_form_button', field: document.getElementById('launch_form_button')};

                return dojo.hitch(objEventSource.field, function(){
                    var objAction = {name: 'Action', option: 'Action', value: 'startForm'};
                    var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                    hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
