<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns="http://www.hyfinity.com/xstore" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
	<!--Some information has been retained from the existing file!-->
	<out:import href="demo_skin.xsl" />
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">MainForm</out:template>
	<out:template name="page_meta_tags">
		<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template name="escape-for-javascript">
		<out:param name="text" />
		<out:call-template name="replace-string">
			<out:with-param name="text">
				<out:call-template name="replace-string">
					<out:with-param name="text" select="$text" />
					<out:with-param name="replace" select="'\'" />
					<out:with-param name="with" select="'\\'" />
				</out:call-template>
			</out:with-param>
			<out:with-param name="replace">'</out:with-param>
			<out:with-param name="with">\'</out:with-param>
		</out:call-template>
	</out:template>
	<out:template name="replace-string">
		<out:param name="text" />
		<out:param name="replace" />
		<out:param name="with" />
		<out:choose>
			<out:when test="contains($text,$replace)">
				<out:value-of select="substring-before($text,$replace)" />
				<out:value-of select="$with" />
				<out:call-template name="replace-string">
					<out:with-param name="text" select="substring-after($text,$replace)" />
					<out:with-param name="replace" select="$replace" />
					<out:with-param name="with" select="$with" />
				</out:call-template>
			</out:when>
			<out:otherwise>
				<out:value-of select="$text" />
			</out:otherwise>
		</out:choose>
	</out:template>
	<out:template name="css_imports">
		<link href="css/webmaker_layout.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;!--[if lte IE 7]&gt;</out:text>
		<link href="css/webmaker_layout_ie_6_7.css" rel="stylesheet" type="text/css" xmlns="" />
		<out:text disable-output-escaping="yes">&lt;![endif]--&gt;</out:text>
		<link href="theme/hyf_lavender/css/demo.css" rel="stylesheet" type="text/css" />
		<link href="theme/hyf_lavender/css/collapsiblecontent.css" rel="stylesheet" type="text/css" />
		<link href="theme/hyf_lavender/css/editabletable.css" rel="stylesheet" type="text/css" />
		<link href="theme/hyf_lavender/css/pagingtable.css" rel="stylesheet" type="text/css" />
		<link href="theme/hyf_lavender/css/treeview.css" rel="stylesheet" type="text/css" />
		<link href="css/menus.css" rel="stylesheet" type="text/css" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/menus.js" type="text/javascript"></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="updateExistingForm_xga_saveNewForm" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<repeat_info />
						<firstname />
						<surname />
						<houseNo />
						<street />
						<city />
						<country />
						<postcode />
					</formData>
				</Data>
			</eForm>
		</xform:instance>
		<div class="form">
			<form action="process.do" method="post" name="MainForm">
				<out:if test="/mvc:eForm/mvc:Control/mvc:Language != ''">
					<input name="Language" type="hidden" value="{/mvc:eForm/mvc:Control/mvc:Language}" xmlns="" />
				</out:if>
				<input name="is_script_enabled" type="hidden" value="false" />
				<script type="text/javascript">
					<out:text>document.MainForm</out:text>
					<out:text>.is_script_enabled.value = 'true';</out:text>
				</script>
				<div class=" expandWidth groupLabelOutside groupLabelBackground" id="form_content_label_container">
					<h2 class="label" id="form_content_label">Form Details</h2>
				</div>
				<div class="adjacentGroupSep"></div>
				<div class="borderedGroup layoutContainer alignVertical alignLeft alignTop  expandWidth fitHeight " id="form_content">
					<div class="layoutContainerContent expandWidth">
						<div class="repeat h_menu_item" id="repeat_info" style="width:auto;">
							<out:for-each select="/mvc:eForm/mvc:Data/mvc:formData/mvc:buttons/mvc:button">
								<out:variable name="repeat_infoLoopEntry" select="." />
								<out:variable name="repeat_infoLoopCount">
									<out:text>repeat_info</out:text>
									<out:value-of select="position()" />
								</out:variable>
								<out:variable name="repeat_info-repeat-position-number">
									<out:value-of select="position()" />
								</out:variable>
								<div class="formElement">
									<span class="defaultBackground buttonContainer" id="{$repeat_infoLoopCount}menu_item_container" style="position: relative;">
										<a class="button" href="javascript: menu_itemhref(null, '{$repeat_infoLoopCount}', '{@action}');" id="{$repeat_infoLoopCount}menu_item" name="{$repeat_infoLoopCount}menu_item" style="border-top-right-radius : 50px; border-bottom-right-radius : 50px; margin-left: -23px; text-align : right; border-right-color : #ffffff; border-right-width : 2px; border-top-width : 2px; border-bottom-width : 2px; border-left-width : 2px; border-top-color : #ffffff; border-bottom-color : #ffffff; border-left-color : #ffffff; border-left-style : none; background-color : #ffbb45; padding-left: 20px;">
											<out:attribute name="data-wm-disable-class">
												<out:text>button disabledButton </out:text>
											</out:attribute>
											<out:attribute name="class">
												<out:text>button</out:text>
												<out:if test="@state">
													<out:value-of select="concat(' ', @state)" />
												</out:if>
												<out:if test="@current">
													<out:value-of select="concat(' ', 'current')" />
												</out:if>
											</out:attribute>
											<span xmlns="">
												<span>
													<out:choose>
														<out:when test="not(@caption) or (@caption = '')">
															<out:text disable-output-escaping="yes">&amp;#160;</out:text>
														</out:when>
														<out:otherwise>
															<out:value-of select="@caption" />
														</out:otherwise>
													</out:choose>
												</span>
											</span>
										</a>
									</span>
								</div>
							</out:for-each>
						</div>
					</div>
					<div class="layoutContainerSep"></div>
					<div class="layoutContainerContent  expandWidth">
						<div class="layoutContainer alignVertical alignLeft alignTop  expandWidth fitHeight " id="layout_group">
							<div class="layoutContainerContent">
								<div class="controlContainer labelLeft">
									<div class="controlRow">
										<span class="alignRight alignMiddle labelBackground" id="firstname_label_container">
											<label class="label" for="firstname" id="firstname_label">First Name</label>
										</span>
										<span class="defaultBackground" id="firstname_container">
											<input class="textbox" id="firstname" name="firstname" style="width : 200px;" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:firstname}" />
											<input name="xgf_firstname_xpath_xga_updateExistingForm_xga_saveNewForm" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:firstname" xmlns="" />
											<span id="firstname_message_container"></span>
										</span>
									</div>
								</div>
							</div>
							<div class="layoutContainerSep"></div>
							<div class="layoutContainerContent">
								<div class="controlContainer labelLeft">
									<div class="controlRow">
										<span class="alignRight alignMiddle labelBackground" id="surname_label_container">
											<label class="label" for="surname" id="surname_label">Surname</label>
										</span>
										<span class="defaultBackground" id="surname_container">
											<input class="textbox" id="surname" name="surname" style="width : 200px;" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:surname}" />
											<input name="xgf_surname_xpath_xga_updateExistingForm_xga_saveNewForm" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:surname" xmlns="" />
											<span id="surname_message_container"></span>
										</span>
									</div>
								</div>
							</div>
							<div class="layoutContainerSep"></div>
							<div class="layoutContainerContent">
								<div class="controlContainer labelLeft">
									<div class="controlRow">
										<span class="alignRight alignMiddle labelBackground" id="houseNo_label_container">
											<label class="label" for="houseNo" id="houseNo_label">House No.</label>
										</span>
										<span class="defaultBackground" id="houseNo_container">
											<input class="textbox" id="houseNo" name="houseNo" style="width : 50px;" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:houseNo}" />
											<input name="houseNo_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:houseNo" xmlns="" />
											<span id="houseNo_message_container"></span>
										</span>
									</div>
								</div>
							</div>
							<div class="layoutContainerSep"></div>
							<div class="layoutContainerContent">
								<div class="controlContainer labelLeft">
									<div class="controlRow">
										<span class="alignRight alignMiddle labelBackground" id="street_label_container">
											<label class="label" for="street" id="street_label">Street</label>
										</span>
										<span class="defaultBackground" id="street_container">
											<input class="textbox" id="street" name="street" style="width : 200px;" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:street}" />
											<input name="street_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:street" xmlns="" />
											<span id="street_message_container"></span>
										</span>
									</div>
								</div>
							</div>
							<div class="layoutContainerSep"></div>
							<div class="layoutContainerContent">
								<div class="controlContainer labelLeft">
									<div class="controlRow">
										<span class="alignRight alignMiddle labelBackground" id="city_label_container">
											<label class="label" for="city" id="city_label">City</label>
										</span>
										<span class="defaultBackground" id="city_container">
											<input class="textbox" id="city" name="city" style="width : 200px;" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:city}" />
											<input name="city_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:city" xmlns="" />
											<span id="city_message_container"></span>
										</span>
									</div>
								</div>
							</div>
							<div class="layoutContainerSep"></div>
							<div class="layoutContainerContent">
								<div class="controlContainer labelLeft">
									<div class="controlRow">
										<span class="alignRight alignMiddle labelBackground" id="country_label_container">
											<label class="label" for="country" id="country_label">Country</label>
										</span>
										<span class="defaultBackground" id="country_container">
											<input class="textbox" id="country" name="country" style="width : 200px;" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:country}" />
											<input name="country_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:country" xmlns="" />
											<span id="country_message_container"></span>
										</span>
									</div>
								</div>
							</div>
							<div class="layoutContainerSep"></div>
							<div class="layoutContainerContent">
								<div class="controlContainer labelLeft">
									<div class="controlRow">
										<span class="alignRight alignMiddle labelBackground" id="postcode_label_container">
											<label class="label" for="postcode" id="postcode_label">Postcode</label>
										</span>
										<span class="defaultBackground" id="postcode_container">
											<input class="textbox" id="postcode" name="postcode" type="text" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:postcode}" />
											<input name="postcode_xpath" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:postcode" xmlns="" />
											<span id="postcode_message_container"></span>
										</span>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</form>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
			<out:text disable-output-escaping="yes">

            /*
             * Do NOT edit or add to the following script.
             * It will be recreated each time the page is regenerated!
             * Instead use the Application Map screen to add an external
             * script file to your page, and place your code in there.
             */

            hyf.validation.config =
            {
                form: document.MainForm,
                errorDisplayMethod: 'tooltip',
                errorDisplayMessageClass: 'errorIcon',
                errorDisplayShowMessage: true,
                errorDisplayShowAlerts: false,
                errorDisplayValidationMode: 'all',
                mandatoryMarker: {
                    content: ' * ',
                    location: 'after_label',
                    className: 'mandatory',
                    style: ''
                    }
            }
        			</out:text>
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:mvc="http://www.hyfinity.com/mvc">			<out:for-each select="/mvc:eForm/mvc:Data/mvc:formData/mvc:buttons/mvc:button">
				<out:variable name="repeat_infoLoopEntry" select="." />
				<out:variable name="repeat_infoLoopCount">
					<out:text>repeat_info</out:text>
					<out:value-of select="position()" />
				</out:variable>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>firstname</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>surname</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>houseNo</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>street</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>city</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>country</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>postcode</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
<xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
                    hyf.hooks.contentInserted(document.body);
            function menu_itemhref(e, repeatId, FunctionCall0Dynamic2)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'menu_item', repeatId: repeatId, field: document.getElementById(repeatId + 'menu_item')};

                return dojo.hitch(objEventSource.field, function(){
                    var objFunction = {name: 'Function', option: 'Static', value: 'handleMenuItemClick'};
                    var objParameters = {name: 'Parameters', multiple: true, value: [{option: 'Script', value: 'objEventSource'}, {option: 'Dynamic', value: FunctionCall0Dynamic2}]};
                    hyf.FMAction.handleFunctionCall(objFunction, objParameters, objEventSource);
                    })();
            }
            </xsl:text></xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
